RedirectStrategy (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client
Interface RedirectStrategy

All Known Implementing Classes:
  DefaultRedirectStrategy, LaxRedirectStrategy

    public interface RedirectStrategy

A strategy for determining if an HTTP request should be redirected to a new location in response to an HTTP response received from the target server.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.1

Method Summary
`HttpUriRequest` | `getRedirect(org.apache.http.HttpRequest request, org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Determines the redirect location given the response from the target server and the current request execution context and generates a new request to be sent to the location.
`boolean` | `isRedirected(org.apache.http.HttpRequest request, org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Determines if a request should be redirected to a new location given the response from the target server.

Method Detail

### isRedirected

    boolean isRedirected(org.apache.http.HttpRequest request,
                         org.apache.http.HttpResponse response,
                         org.apache.http.protocol.HttpContext context)
                         throws org.apache.http.ProtocolException

  Determines if a request should be redirected to a new location given the response from the target server.

  Parameters:
    `request` - the executed request
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    `true` if the request should be redirected, `false` otherwise
  Throws:
    `org.apache.http.ProtocolException`

### getRedirect

    HttpUriRequest getRedirect(org.apache.http.HttpRequest request,
                               org.apache.http.HttpResponse response,
                               org.apache.http.protocol.HttpContext context)
                               throws org.apache.http.ProtocolException

  Determines the redirect location given the response from the target server and the current request execution context and generates a new request to be sent to the location.

  Parameters:
    `request` - the executed request
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    redirected request
  Throws:
    `org.apache.http.ProtocolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.